Subject: Re: bug#28043: [PATCH] Optimize skkdic conversion

From: [email-masked]
Date: Mon, 21 Aug 2017 20:54:50 -0400

tags 28043 fixed
close 28043 26.1
quit

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Date: Thu, 10 Aug 2017 23:25:17 -0400
>> 
>> While waiting for a bootstrap, I thought the skkdic conversion was
>> looking a bit slow.  The following patches reduce the time needed to
>> less than a third of the original (2m30 to 45s measured using a
>> non-optimized Emacs).  The main speedup comes from optimizing
>> lookup-nest-alist and set-nested-alist for the case where the key is a
>> string.  I suspect it might be possible to optimize even more by
>> reorganizing things, but my ignorance of Japanese makes that difficult.
>> 
>> Each commit message has the time I measured after applying.  I checked
>> that the generated ja-dic.el is identical to what was generated before.
>
> Thanks.  CC'ing Handa-san, who could perhaps suggest more
> optimizations.
>
> I guess you've verified that the results are identical after these
> optimizations?  If so, I see no reason not to push in a few days.

Okay, I've pushed to master.

[1: 9d7973530f]: 2017-08-21 20:52:25 -0400
  Optimize skkdic conversion (Bug#28043)
  http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=9d7973530f912c6001445ba9b83b7893b466aee8